﻿     
<table width = "380px" style="margin-left:20px;">
    <tr>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                set =>
                {
                    set.ControlStyle.CssClass = "label";
                    set.Text = "Item No";
                    set.AssociatedControlName = "ItemNo";
                }).GetHtml()
                <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                set =>
                {
                    set.Name = "ItemNo";
                    set.ControlStyle.CssClass = "editor";
                    set.ShowModelErrors = true;
                    set.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                set =>
                {
                    set.ControlStyle.CssClass = "label";
                    set.Text = "Part No";
                    set.AssociatedControlName = "PartNo";
                }).GetHtml()
                <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                set =>
                {
                    set.Name = "PartNo";
                    set.ControlStyle.CssClass = "editor";
                    set.ShowModelErrors = true;
                    set.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                set =>
                {
                    set.ControlStyle.CssClass = "label";
                    set.Text = "Part Name";
                    set.AssociatedControlName = "PartName";
                }).GetHtml()
                <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                set =>
                {
                    set.Name = "PartName";
                    set.ControlStyle.CssClass = "editor";
                    set.ShowModelErrors = true;
                    set.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                set =>
                {
                    set.ControlStyle.CssClass = "label";
                    set.Text = "Mat. No";
                    set.AssociatedControlName = "MatNo";
                }).GetHtml()
                <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                set =>
                {
                    set.Name = "MatNo";
                    set.ControlStyle.CssClass = "editor";
                    set.ShowModelErrors = true;
                    set.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                set =>
                {
                    set.ControlStyle.CssClass = "label";
                    set.Text = "Prod. Purpose";
                    set.AssociatedControlName = "ProdPurpose";
                }).GetHtml()
                <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                set =>
                {
                    set.Name = "ProdPurpose";
                    set.ControlStyle.CssClass = "editor";
                    set.ShowModelErrors = true;
                    set.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                set =>
                {
                    set.ControlStyle.CssClass = "label";
                    set.Text = "Source Type";
                    set.AssociatedControlName = "SourceType";
                }).GetHtml()
                <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                set =>
                {
                    set.Name = "SourceType";
                    set.ControlStyle.CssClass = "editor";
                    set.ShowModelErrors = true;
                    set.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                set =>
                {
                    set.ControlStyle.CssClass = "label";
                    set.Text = "UOM";
                    set.AssociatedControlName = "UOM";
                }).GetHtml()
                <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                set =>
                {
                    set.Name = "UOM";
                    set.ControlStyle.CssClass = "editor";
                    set.ShowModelErrors = true;
                    set.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                set =>
                {
                    set.ControlStyle.CssClass = "label";
                    set.Text = "Mat. Description";
                    set.AssociatedControlName = "MatDescription";
                }).GetHtml()
                <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                set =>
                {
                    set.Name = "MatDescription";
                    set.ControlStyle.CssClass = "editor";
                    set.ShowModelErrors = true;
                    set.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                set =>
                {
                    set.ControlStyle.CssClass = "label";
                    set.Text = "Order Qty";
                    set.AssociatedControlName = "OrderQty";
                }).GetHtml()
                <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                set =>
                {
                    set.Name = "OrderQty";
                    set.ControlStyle.CssClass = "editor";
                    set.ShowModelErrors = true;
                    set.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                set =>
                {
                    set.ControlStyle.CssClass = "label";
                    set.Text = "Special Procurement Type";
                    set.AssociatedControlName = "SpecialProcurementType";
                }).GetHtml()
            <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                set =>
                {
                    set.Name = "SpecialProcurementType";
                    set.ControlStyle.CssClass = "editor";
                    set.ShowModelErrors = true;
                    set.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                set =>
                {
                    set.ControlStyle.CssClass = "label";
                    set.Text = "Packing Type";
                    set.AssociatedControlName = "PackingType";
                }).GetHtml()
                <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                set =>
                {
                    set.Name = "PackingType";
                    set.ControlStyle.CssClass = "editor";
                    set.ShowModelErrors = true;
                    set.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                set =>
                {
                    set.ControlStyle.CssClass = "label";
                    set.Text = "Suffix";
                    set.AssociatedControlName = "Suffix";
                }).GetHtml()
                <b style=" color:Red;">*</b>
        </td>
        <td>
            @Html.DevExpress().TextBox(
                set =>
                {
                    set.Name = "Suffix";
                    set.ControlStyle.CssClass = "editor";
                    set.ShowModelErrors = true;
                    set.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr>
        <td colspan="2" width="100%" align="center">
            <table>
                <tr>
                    <td align="right" width="50px">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnUpdate";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Update";
                            btnSettings.ClientSideEvents.Click = "function(s, e){ grdData.UpdateEdit(); }";
                        }
                    ).GetHtml()
                </td>
                    <td>
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancel";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.ClientSideEvents.Click = "OnClosePopup";
                        }
                    ).GetHtml()
                </td>
                </tr>
            </table>
        </td>
    </tr>
</table>